#!/bin/bash
t=`date +%Y.%h.%d-%H.%d.%S`
(
sleep 2;
echo -e "\r";
sleep 1;
echo -e "read (0-15,0-15) \r";
sleep 5;
echo -e "set voltage limit 1800 \r";
echo -e "\r";
echo -e "write (0-15,0-15) -900\r"; sleep 10;

echo -e "write (0,0) -1598\r"; sleep 2;
echo -e "write (0,1) -1530\r"; sleep 2;
echo -e "write (0,2) -1429\r"; sleep 2;
echo -e "write (0,3) -1228\r"; sleep 2;
echo -e "write (0,4) -1287\r"; sleep 2;
echo -e "write (0,5) -1494\r"; sleep 2;
echo -e "write (0,6) -1350\r"; sleep 2;
echo -e "write (0,9) -1305\r"; sleep 2;
echo -e "write (0,10) -1277\r"; sleep 2;
echo -e "write (0,11) -1326\r"; sleep 2;
echo -e "write (0,12) -1375\r"; sleep 2;
echo -e "write (0,13) -1336\r"; sleep 2;
echo -e "write (0,14) -1484\r"; sleep 2;
echo -e "write (1,0) -1297\r"; sleep 2;
echo -e "write (1,1) -1432\r"; sleep 2;
echo -e "write (1,2) -1555\r"; sleep 2;
echo -e "write (1,3) -1331\r"; sleep 2;
echo -e "write (1,4) -1536\r"; sleep 2;
echo -e "write (1,5) -1499\r"; sleep 2;
echo -e "write (1,6) -1436\r"; sleep 2;
echo -e "write (1,9) -1465\r"; sleep 2;
echo -e "write (1,10) -1281\r"; sleep 2;
echo -e "write (1,11) -1403\r"; sleep 2;
echo -e "write (1,12) -1410\r"; sleep 2;
echo -e "write (1,13) -1456\r"; sleep 2;
echo -e "write (1,14) -1535\r"; sleep 2;
echo -e "write (2,0) -1336\r"; sleep 2;
echo -e "write (2,1) -1492\r"; sleep 2;
echo -e "write (2,2) -1600\r"; sleep 2;
echo -e "write (2,3) -1319\r"; sleep 2;
echo -e "write (2,4) -1641\r"; sleep 2;
echo -e "write (2,5) -1360\r"; sleep 2;
echo -e "write (2,6) -1649\r"; sleep 2;
echo -e "write (2,9) -1293\r"; sleep 2;
echo -e "write (2,10) -1368\r"; sleep 2;
echo -e "write (2,11) -1509\r"; sleep 2;
echo -e "write (2,12) -1365\r"; sleep 2;
echo -e "write (2,13) -1534\r"; sleep 2;
echo -e "write (2,14) -1300\r"; sleep 2;
echo -e "write (3,0) -1467\r"; sleep 2;
echo -e "write (3,1) -1389\r"; sleep 2;
echo -e "write (3,2) -1491\r"; sleep 2;
echo -e "write (3,3) -1384\r"; sleep 2;
echo -e "write (3,4) -1359\r"; sleep 2;
echo -e "write (3,5) -1462\r"; sleep 2;
echo -e "write (3,6) -1273\r"; sleep 2;
echo -e "write (3,9) -1558\r"; sleep 2;
echo -e "write (3,10) -1354\r"; sleep 2;
echo -e "write (3,11) -1427\r"; sleep 2;
echo -e "write (3,12) -1333\r"; sleep 2;
echo -e "write (3,13) -1520\r"; sleep 2;
echo -e "write (3,14) -1324\r"; sleep 2;
echo -e "write (4,0) -1367\r"; sleep 2;
echo -e "write (4,1) -1378\r"; sleep 2;
echo -e "write (4,2) -1349\r"; sleep 2;
echo -e "write (4,3) -1398\r"; sleep 2;
echo -e "write (4,4) -1317\r"; sleep 2;
echo -e "write (4,5) -1390\r"; sleep 2;
echo -e "write (4,6) -1399\r"; sleep 2;
echo -e "write (4,9) -1459\r"; sleep 2;
echo -e "write (4,10) -1587\r"; sleep 2;
echo -e "write (4,11) -1420\r"; sleep 2;
echo -e "write (4,12) -1309\r"; sleep 2;
echo -e "write (4,13) -1600\r"; sleep 2;
echo -e "write (4,14) -1600\r"; sleep 2;
echo -e "write (5,0) -1600\r"; sleep 2;
echo -e "write (5,1) -1600\r"; sleep 2;
echo -e "write (5,2) -1600\r"; sleep 2;
echo -e "write (5,3) -1600\r"; sleep 2;
echo -e "write (5,4) -1600\r"; sleep 2;
echo -e "write (5,5) -1600\r"; sleep 2;
echo -e "write (5,6) -1600\r"; sleep 2;
echo -e "write (5,9) -1600\r"; sleep 2;
echo -e "write (5,10) -1650\r"; sleep 2;
echo -e "write (5,11) -1414\r"; sleep 2;
echo -e "write (5,12) -1232\r"; sleep 2;
echo -e "write (5,13) -1600\r"; sleep 2;
echo -e "write (5,14) -1565\r"; sleep 2;
echo -e "write (6,0) -1666\r"; sleep 2;
echo -e "write (6,1) -1537\r"; sleep 2;
echo -e "write (6,2) -1600\r"; sleep 2;
echo -e "write (6,3) -1426\r"; sleep 2;
echo -e "write (6,4) -1506\r"; sleep 2;
echo -e "write (6,5) -1469\r"; sleep 2;
echo -e "write (6,6) -1663\r"; sleep 2;
echo -e "write (6,9) -1640\r"; sleep 2;
echo -e "write (6,10) -1600\r"; sleep 2;
echo -e "write (6,11) -1639\r"; sleep 2;
echo -e "write (6,12) -1600\r"; sleep 2;
echo -e "write (6,13) -1658\r"; sleep 2;
echo -e "write (6,14) -1496\r"; sleep 2;
echo -e "write (7,0) -1358\r"; sleep 2;
echo -e "write (7,1) -1515\r"; sleep 2;
echo -e "write (7,3) -1430\r"; sleep 2;
echo -e "write (7,4) -1447\r"; sleep 2;
echo -e "write (7,5) -1409\r"; sleep 2;
echo -e "write (7,6) -1650\r"; sleep 2;
echo -e "write (7,8) -1485\r"; sleep 2;
echo -e "write (7,9) -1581\r"; sleep 2;
echo -e "write (7,10) -1505\r"; sleep 2;
echo -e "write (7,11) -1700\r"; sleep 2;
echo -e "write (7,12) -1561\r"; sleep 2;
echo -e "write (7,13) -1572\r"; sleep 2;
echo -e "write (7,14) -1610\r"; sleep 2;
echo -e "write (8,0) -1446\r"; sleep 2;
echo -e "write (8,1) -1542\r"; sleep 2;
echo -e "write (8,2) -1380\r"; sleep 2;
echo -e "write (8,3) -1378\r"; sleep 2;
echo -e "write (8,4) -1382\r"; sleep 2;
echo -e "write (8,5) -1370\r"; sleep 2;
echo -e "write (8,6) -1487\r"; sleep 2;
echo -e "write (8,9) -1363\r"; sleep 2;
echo -e "write (8,10) -1470\r"; sleep 2;
echo -e "write (8,11) -1354\r"; sleep 2;
echo -e "write (8,12) -1432\r"; sleep 2;
echo -e "write (8,13) -1342\r"; sleep 2;
echo -e "write (8,14) -1304\r"; sleep 2;
echo -e "write (9,0) -1356\r"; sleep 2;
echo -e "write (9,1) -1340\r"; sleep 2;
echo -e "write (9,2) -1449\r"; sleep 2;
echo -e "write (9,3) -1514\r"; sleep 2;
echo -e "write (9,4) -1275\r"; sleep 2;
echo -e "write (9,5) -1563\r"; sleep 2;
echo -e "write (9,6) -1607\r"; sleep 2;
echo -e "write (9,9) -1524\r"; sleep 2;
echo -e "write (9,10) -1443\r"; sleep 2;
echo -e "write (9,11) -1577\r"; sleep 2;
echo -e "write (9,12) -1416\r"; sleep 2;
echo -e "write (9,13) -1516\r"; sleep 2;
echo -e "write (9,14) -1524\r"; sleep 2;
echo -e "write (10,0) -1506\r"; sleep 2;
echo -e "write (10,1) -1451\r"; sleep 2;
echo -e "write (10,2) -1300\r"; sleep 2;
echo -e "write (10,3) -1426\r"; sleep 2;
echo -e "write (10,4) -1344\r"; sleep 2;
echo -e "write (10,5) -1334\r"; sleep 2;
echo -e "write (10,6) -1528\r"; sleep 2;
echo -e "write (10,9) -1460\r"; sleep 2;
echo -e "write (10,10) -1600\r"; sleep 2;
echo -e "write (10,11) -1653\r"; sleep 2;
echo -e "write (10,12) -1384\r"; sleep 2;
echo -e "write (10,13) -1356\r"; sleep 2;
echo -e "write (10,14) -1491\r"; sleep 2;
echo -e "write (11,0) -1323\r"; sleep 2;
echo -e "write (11,1) -1415\r"; sleep 2;
echo -e "write (11,2) -1600\r"; sleep 2;
echo -e "write (11,4) -1605\r"; sleep 2;
echo -e "write (11,5) -1486\r"; sleep 2;
echo -e "write (11,6) -1641\r"; sleep 2;
echo -e "write (11,9) -1311\r"; sleep 2;
echo -e "write (11,10) -1462\r"; sleep 2;
echo -e "write (11,11) -1573\r"; sleep 2;
echo -e "write (11,12) -1363\r"; sleep 2;
echo -e "write (11,13) -1553\r"; sleep 2;
echo -e "write (11,14) -1495\r"; sleep 2;
echo -e "write (11,15) -1513\r"; sleep 2;
echo -e "write (12,1) -1377\r"; sleep 2;
echo -e "write (12,2) -1331\r"; sleep 2;
echo -e "write (12,3) -1462\r"; sleep 2;
echo -e "write (12,4) -1424\r"; sleep 2;
echo -e "write (12,5) -1373\r"; sleep 2;
echo -e "write (12,8) -1423\r"; sleep 2;
echo -e "write (12,9) -1407\r"; sleep 2;
echo -e "write (12,10) -1386\r"; sleep 2;
echo -e "write (12,11) -1504\r"; sleep 2;
echo -e "write (12,12) -1600\r"; sleep 2;
echo -e "write (12,13) -1574\r"; sleep 2;
echo -e "write (12,14) -1468\r"; sleep 2;
echo -e "write (12,15) -1494\r"; sleep 2;
echo -e "write (13,0) -1590\r"; sleep 2;
echo -e "write (13,1) -1597\r"; sleep 2;
echo -e "write (13,2) -1688\r"; sleep 2;
echo -e "write (13,3) -1520\r"; sleep 2;
echo -e "write (13,4) -1356\r"; sleep 2;
echo -e "write (13,5) -1511\r"; sleep 2;
echo -e "write (13,6) -1619\r"; sleep 2;
echo -e "write (13,9) -1534\r"; sleep 2;
echo -e "write (13,10) -1472\r"; sleep 2;
echo -e "write (13,11) -1470\r"; sleep 2;
echo -e "write (13,12) -1398\r"; sleep 2;
echo -e "write (13,13) -1432\r"; sleep 2;
echo -e "write (13,14) -1519\r"; sleep 2;
echo -e "write (14,0) -1421\r"; sleep 2;
echo -e "write (14,1) -1660\r"; sleep 2;
echo -e "write (14,2) -1684\r"; sleep 2;
echo -e "write (14,3) -1407\r"; sleep 2;
echo -e "write (14,4) -1600\r"; sleep 2;
echo -e "write (14,5) -1676\r"; sleep 2;
echo -e "write (14,6) -1567\r"; sleep 2;
echo -e "write (14,9) -1611\r"; sleep 2;
echo -e "write (14,10) -1600\r"; sleep 2;
echo -e "write (14,11) -1492\r"; sleep 2;
echo -e "write (14,12) -1676\r"; sleep 2;
echo -e "write (14,13) -1614\r"; sleep 2;
echo -e "write (14,14) -1396\r"; sleep 2;
echo -e "write (15,0) -1549\r"; sleep 2;
echo -e "write (15,1) -1596\r"; sleep 2;

sleep 2;
echo -e "read (0-15,0-15)\r";
sleep 10;
echo -e "\r";
echo -e "\r";
echo -e "^]";
sleep 1;
) | telnet fms-serv.trg.bnl.local 7007 > ../hvlog_run15/fms_hvon_7007_$t.tex
echo Set new HV
cat ../hvlog_run15/fms_hvon_7007_$t.tex
